%define	name	synaptics
%define	version	0.14.3
%define release	1mdk

Summary:	Synaptics TouchPad driver for XFree86
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://w1.894.telia.com/~u89404340/touchpad/files/%{name}-%{version}.tar.bz2
URL:		http://w1.894.telia.com/~u89404340/touchpad/index.html
Patch0:		synaptics-0.14.0-lib64.patch.bz2
License:	GPL
Group:		System/X11
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel

%description
This is a driver for the Synaptics TouchPad for XFree86 4.x.
A Synaptics touchpad by default operates in compatibility mode by emulating a
standard mouse. However, by using a dedicated driver, more advanced features of
the touchpad becomes available.
Read the %{_docdir}/%{name}-%{version}/INSTALL file for instructions.

%prep
%setup -q
%patch0 -p1 -b .lib64

%build
make clean
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/%{_lib}/modules/input
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/usr/X11R6/man/man1
install synaptics_drv.o %{buildroot}/usr/X11R6/%{_lib}/modules/input/
install synclient syndaemon %{buildroot}/usr/X11R6/bin/
cp manpages/* %{buildroot}/usr/X11R6/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc COMPATIBILITY INSTALL INSTALL.DE INSTALL.FR
%doc NEWS README README.alps TODO
/usr/X11R6/%{_lib}/modules/input/synaptics_drv.o
/usr/X11R6/bin/synclient
/usr/X11R6/bin/syndaemon
/usr/X11R6/man/man1/synclient.1*
/usr/X11R6/man/man1/syndaemon.1*
/usr/X11R6/man/man1/synaptics.5*

%changelog
* Fri Jul 22 2005 Olivier Blin <oblin@mandriva.com> 0.14.3-1mdk
- 0.14.3
- add synaptics(5) man page

* Fri Jul 15 2005 Olivier Blin <oblin@mandriva.com> 0.14.2-1mdk
- 0.14.2

* Mon Apr 18 2005 Olivier Blin <oblin@mandrakesoft.com> 0.14.1-2mdk
- remove post section, mousedrake and the installer now take care of evdev

* Sun Apr 03 2005 Luca Berra <bluca@vodka.it> 0.14.1-1mdk 
- 0.14.1

* Wed Mar 02 2005 Luca Berra <bluca@vodka.it> 0.14.0-3mdk 
- use a different method for changing modprobe.preload
- changed group to System/X11

* Wed Mar  2 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.14.0-2mdk
- fix build on x86_64

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-1mdk
- 0.14.0

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.13.5-2mdk
- lib64 fixes

* Sun Aug 08 2004 Luca Berra <bluca@vodka.it> 0.13.5-1mdk 
- New release 0.13.5

* Sun Aug  1 2004 Luca Berra <bluca@mandrakesoft.com> 0.13.4-1mdk
- New release 0.13.4
- removed cPad patch (merged upstream)

* Mon May 17 2004 Luca Berra <bluca@vodka.it> 0.13.2-2mdk 
- included missing readme file

* Sat May 15 2004 Luca Berra <bluca@vodka.it> 0.13.2-1mdk 
- 0.13.2
- added patch for Synaptics cPad support

* Sun May  2 2004 Olivier Blin <blino@mandrake.org> 0.13.0-2mdk
- do not add a literal \n in modprobe.preload but a real newline 

* Sat May 01 2004 Luca Berra <bluca@vodka.it> 0.13.0-1mdk
- 0.13
- add evdev module to kernel 2.6

* Fri Feb 27 2004 Luca Berra <bluca@vodka.it> 0.12.4-1mdk
- 0.12.4

* Sat Jan 17 2004 Luca Berra <bluca@vodka.it> 0.12.3-2mdk 
- buildrequires XFree86-devel (again)

* Sat Jan 17 2004 Luca Berra <bluca@vodka.it> 0.12.3-1mdk
- 0.12.3

* Sun Jan 04 2004 Luca Berra <bluca@vodka.it> 0.12.2-1mdk
- 0.12.2

* Sat Nov 01 2003 Luca Berra <bluca@vodka.it> 0.12.0-1mdk
- Initial revision
